Bug 1012469 - Document: How to configure HornetQ for server discovery using JGroups
Document: How to configure HornetQ for server discovery using JGroups
Status: CLOSED DUPLICATE of bug 1089298
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: GA
: EAP 6.3.0
Assigned To: Nidhi
Miroslav Novak
Russell Dickenson
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 10:07 EDT by Miroslav Novak
Modified: 2014-08-14 11:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-15 04:57:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Novak 2013-09-26 10:07:27 EDT
There is missing chapter (in Administration and Configuration Guide) describing alternative way of configuring server discovery using JGroups in messaging subsystem. More info about it can be found in community documentation [1].

Example of configuration for EAP 6.2 for broadcast group and discovery group:
                 <broadcast-groups>
                    <broadcast-group name="bg-group1">
                        <jgroups-stack>udp</jgroups-stack>
                        <jgroups-channel>udp</jgroups-channel>
                        <broadcast-period>2000</broadcast-period>
                        <connector-ref>
                            netty
                        </connector-ref>
                    </broadcast-group>
                </broadcast-groups>

                <discovery-groups>
                    <discovery-group name="dg-group1">
                        <jgroups-stack>udp</jgroups-stack>
                        <jgroups-channel>udp</jgroups-channel>
                        <refresh-timeout>10000</refresh-timeout>
                    </discovery-group>
                </discovery-groups>


[1] http://docs.jboss.org/hornetq/2.4.0.beta1/docs/user-manual/html_single/index.html#d0e10420
Comment 2 Miroslav Novak 2014-07-15 04:51:06 EDT
Thanks Nidhi! This topic is covered.

Note You need to log in before you can comment on or make changes to this bug.